package top.tqx.demo_1.service;

import top.tqx.demo_1.entity.Permission;

import java.util.List;

public interface PermissionService {

    boolean hasPermission(Long userId, String permissionCode);

    List<String> getUserPermissions(Long userId);

    List<Permission> getUserPermissionDetails(Long userId);
}
